<template>
  <v-dialog
    :value="value"
    max-width="290"
    @click:outside="closeRequest"
    @keydown="closeRequest"
    content-class="round"
  >
    <div class="flex flex-col bg-white p-7 justify-between gap-8">
      <div class="flex flex-row justify-center">
        <div class="text-xl font-semibold">Pas de bulletin créé</div>
      </div>
      <div>Veuillez créer un bulletin pour ajouter un savoir</div>
      <div class="flex flex-row-reverse justify-between">
        <div>
          <button
            type="submit"
            class="bg-bleu font-medium text-gray-50 text-sm py-2.5 px-5 rounded-lg hover:bg-bleuHover focus:outline-none"
            @click="$router.replace({ name: 'Evaluer' })"
          >
            Bulletins
          </button>
        </div>
      </div>
    </div>
  </v-dialog>
</template>

<script>
export default {
  props: { value: Boolean },

  methods: {
    closeRequest() {
      this.$emit("closeRequest");
    },
  },
};
</script>
